%global namedreltag -SP4-redhat-2
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define section free
%define reltag -SP4-redhat-2
%define brewreltag SP4_redhat_2

%define maven_version 1.0-SP4-redhat-2

Name:           weld-cdi-1.0-api
Version:        1.0
Release:        6.%{brewreltag}%{?dist}.5
Summary:        CDI APIs
Group:          Development/Libraries

%if %with mead
Source100: javax.enterprise-cdi-api-1.0-SP4-redhat-2-sources.zip
Source101: javax.enterprise-cdi-api-1.0-SP4-redhat-2-patches.zip
Source102: cdi-api-1.0-SP4-redhat-2-javadoc.jar
Source103: cdi-api-1.0-SP4-redhat-2.jar
Source104: cdi-api-1.0-SP4-redhat-2-sources.jar
Source105: cdi-api-1.0-SP4-redhat-2.pom
%endif

License:        Apache License, Version 2.0
URL:            http://www.seamframework.org/Weld

%if %without mead
Source0:          %{name}-%{namedversion}.tar.xz
%endif

BuildRequires:    jpackage-utils
%if %without mead
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-parent
%endif

Requires:         jpackage-utils
Requires:         java

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%if %without mead
%package javadoc
Group:          Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
# Many tests fail
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate
%endif

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
%if %without mead
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
%else
cp -p %{_sourcedir}/cdi-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/cdi-api.jar
%endif

%if %without mead
# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%else
install -pm 644 %{_sourcedir}/cdi-api-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-cdi-api.pom
%endif

# DEPMAP
%add_maven_depmap JPP.jboss-cdi-api.pom jboss/cdi-api.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*

%if %without mead
%files javadoc
%{_javadocdir}/%{name}
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-6.SP4_redhat_2.5
- Rebuild for MD5

* Fri Aug 24 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0-5.SP4_redhat_2.5
- Rebuild unsigned for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_2.3
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-5.SP4_redhat_1
- Rebuild
- Fix release tag numbering
- Remove repository definitions from the pom.xml
- Fix manifest related issues

* Wed Mar 14 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-4_SP4_redhat_1.2
- Update RPM wrapper structure

* Tue Feb 28 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0-4_SP4_redhat_1.1
- Rebuild with javadir-signed

* Wed Feb 08 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-4_SP4_redhat_1
- Update RPM wrapper structure for EAP 6

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0-3_SP4_redhat_1
- Rebuild to use new signing key

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-2_SP4_redhat_1
- Remove duplicate dependency management

* Thu Aug 18 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-1_SP4_redhat_1
- Patched by vman
- Fix JBoss Specs deps

* Mon Aug 01 2011 Weinan Li <weli@redhat.com> 0:1.0-1
- Adapt for EAP 6
- no repolib when building with MEAD
